﻿using System;
using System.Data;
using System.Diagnostics;
using System.Windows;
using Infragistics.Windows.DataPresenter.Events;

namespace XamDataGrid_Testing
{
	/// <summary>
	/// Interaction logic for MainWindow.xaml
	/// </summary>
	public partial class MainWindow : Window
	{
		public MainWindow()
		{
			InitializeComponent();
			this.Loaded += new RoutedEventHandler(MainWindow_Loaded);

			DataContext = new MainWindowViewModel();
		}

		private void MainWindow_Loaded(object sender, RoutedEventArgs e)
		{
			//DataTable dt = TestData();
			//xamDataGrid1.DataSource = dt.DefaultView;
		}

		private DataTable TestData()
		{
			const int NumberOfRecords = 10;
			DataTable dtData = new DataTable();
			dtData.Columns.Add("Column_1", typeof (string));
			dtData.Columns.Add("Column_2", typeof (string));
			dtData.Columns.Add("Column_3", typeof (int));
			dtData.Columns.Add("IsModified", typeof (bool));

			for (int i = 1; i <= NumberOfRecords; i++)
			{
				DataRow dr = dtData.NewRow();
				dr[0] = "Base Text " + i.ToString();
				dr[1] = "Some Text " + i.ToString();
				dr[2] = i;
				dtData.Rows.Add(dr);
			}

			return dtData;
		}

		private DataTable TestData(int numCols, int numRows)
		{
			DataTable dtData = new DataTable("Table1");
			for (int i = 1; i <= numCols; i++)
			{
				if (i%2 == 0)
				{
					dtData.Columns.Add("Column_" + i.ToString(), typeof (string));
				}
				else
				{
					dtData.Columns.Add("Column_" + i.ToString(), typeof (int));
				}
			}
			for (int i = 1; i <= numRows; i++)
			{
				DataRow dr = dtData.NewRow();
				for (int j = 0; j < numCols; j++)
				{
					if (j%2 == 0)
					{
						dr[j] = i;
					}
					else
					{
						dr[j] = "SomeText" + i.ToString();
					}
				}
				dtData.Rows.Add(dr);
			}

			return dtData;
		}

		//private void xamDataGrid1_RecordUpdated(object sender, RecordUpdatedEventArgs e)
		//{
		//	((Device) e.Record.DataItem).Row["IsModified"] = true;
		//}

		private void Timeline_OnCompleted(object sender, EventArgs e)
		{
			Trace.WriteLine(sender.GetType().FullName);
		}
	}
}
